Get public trending TikTok videos
The most played local videos in a country's TikTok trending feed over the last 24 hours, read from snapshots taken every few hours. Public, no authentication.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
region*string
Country slug, e.g. argentina.
Value in
- "argentina"
- "brazil"
- "canada"
- "chile"
- "colombia"
- "dominican-republic"
- "egypt"
- "indonesia"
- "japan"
- "malaysia"
- "mexico"
- "peru"
- "philippines"
- "saudi-arabia"
- "thailand"
- "turkey"
- "united-kingdom"
- "united-states"
- "venezuela"
- "vietnam"
Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/social/tiktok-trends/public/argentina"{ "region": "string", "captured_at": "string", "videos": [ { "id": "string", "url": "string", "text": "string", "category": "string", "region": "string", "created_at": "string", "duration_seconds": 0, "play_count": 0, "like_count": 0, "comment_count": 0, "share_count": 0, "save_count": 0, "hashtags": [ "string" ], "music": { "id": "string", "title": "string", "author": "string", "original": true }, "author": { "id": "string", "username": "string", "nickname": "string", "verified": true }, "cover_url": "string" } ], "longest": [ { "video": { "id": "string", "url": "string", "text": "string", "category": "string", "region": "string", "created_at": "string", "duration_seconds": 0, "play_count": 0, "like_count": 0, "comment_count": 0, "share_count": 0, "save_count": 0, "hashtags": [ "string" ], "music": { "id": "string", "title": "string", "author": "string", "original": true }, "author": { "id": "string", "username": "string", "nickname": "string", "verified": true }, "cover_url": "string" }, "snapshots": -9007199254740991 } ], "sounds": [ { "id": "string", "title": "string", "author": "string", "video_count": 0, "creators": -9007199254740991, "original": true } ], "hashtags": [ { "name": "string", "video_count": 0, "view_count": 0, "creators": -9007199254740991 } ]}